<?php

if (!defined('ABSPATH')) {
	exit;
}

// Register the Meta box
function mnsjay_order_location_meta_box() {

	add_meta_box('mnsjay_order_location_meta_box', __('Order Location', 'mnsjay'), 'mnsjay_order_location_meta_box_output', array('shop_order'), 'normal', 'default');
}
add_action('add_meta_boxes', 'mnsjay_order_location_meta_box');

// Output the Meta box
function mnsjay_order_location_meta_box_output($post) {

	echo '<div class="mnsjay-order-locations">';

	foreach (array('billing', 'shipping') as $checkout) {

		$location = mnsjay_get_order_location($post->ID, $checkout);

		echo '<div class="mnsjay-order-location mnsjay-location-' . $checkout . '" data-order-id="' . $post->ID . '"  data-address-type="' . $checkout . '">';

		echo '<h3>' . ($checkout == 'billing' ? __('Billing Location', 'mnsjay') : __('Shipping Location', 'mnsjay')) . '</h3>';

		echo '<p>' . ($location ? __('Location is set', 'mnsjay') : __('Location is not set', 'mnsjay')) . '</p>';

		if ($location) {
			$_markers = [
				'destination' => [
					'coord' => $location,
					'class' => 'mnsjay-destination-marker',
					'text' => __('Destination', 'mnsjay')
				]
			];
		} else {
			$_markers = [];
		}

		mnsjay_template_map([
			'id' => 'mnsjay-order-' . $checkout . '-location-map',
			'holder_type' => 'simple-clickable',
			'central_marker' => true,
			'display_lat_lng' => true,
			'display_search' => true,
			'gesture_handling' => true,
			'device_location' => true,
			'fullscreen' => true,
			'overlay_text' => $location ? __('Change Location', 'mnsjay') : __('Set Location', 'mnsjay'),
			'location' => $location,
			'markers' => $_markers,
			'buttons' => [
				'mnsjay_return' => [
					'class' => ['button', 'mnsjay-return'],
					'href' => '#return',
					'title' => __('Return', 'mnsjay'),
				],
				'mnsjay_order_location_url' => [
					'class' => ['button'],
					'href' => mnsjay_create_order_location_url($post->ID, $checkout),
					'title' => __('Share', 'mnsjay'),
				],
				'mnsjay_submit_order_location' => [
					'class' => ['button', 'button-primary', 'mnsjay-submit-order-location'],
					'href' => '#submit',
					'title' => __('Submit', 'mnsjay'),
				]
			]
		]);

		echo '</div>';
	}

	echo '</div>';
}
