<?php

if (!defined('ABSPATH')) {
	exit;
}

// Register the Meta box
function mnsjay_order_tapin_meta_box()
{

	if (mnsjay_logistic_get_setting('tapin', 'active') === 'none')
		return;

	add_meta_box('mnsjay_order_tapin', __('Tapin Panel', 'mnsjay'), 'mnsjay_order_tapin_meta_box_output', ['shop_order'], 'side', 'default');
}
add_action('add_meta_boxes', 'mnsjay_order_tapin_meta_box');

// Output the Meta box
function mnsjay_order_tapin_meta_box_output($post)
{

	$order = wc_get_order($post->ID);
	$tapin = new MNSJAY_Tapin($order);

	if (!$tapin->is_tapin()) {
		echo '<p>' . __('This order shipping is not Tapin. To access this panel, add a Tapin method first.', 'mnsjay') . '</p>';
		return;
	}

	$weight = mnsjay_get_order_weight($order);
	$pay_type = $tapin->get_pay_type($tapin->order_get_pay_type());
	$post_type = $tapin->get_post_type(1);

?>

	<div class="mnsjay-order-tapin-panel" data-order="<?php echo $order->get_id(); ?>">

		<p><?php echo sprintf(__('Total weight: %s grams', 'mnsjay'), number_format($weight)); ?></p>
		<p><?php echo sprintf(__('Shipping type: %s', 'mnsjay'), $post_type); ?></p>
		<p><?php echo sprintf(__('Pay type: %s', 'mnsjay'), $pay_type); ?></p>

		<?php mnsjay_template_tapin_panel($tapin); ?>

	</div>

<?php
}
