<?php

function mnsjay_get_option_forced_map()
{

	$forced = get_option('mnsjay_forced_map');
	$forced = $forced ? 'yes' : false;
	return $forced;
}

function mnsjay_get_option_fill_address()
{

	$forced = get_option('mnsjay_fill_address');
	$forced = $forced ? 'yes' : false;
	return $forced;
}

function mnsjay_get_option_update_map_on_fields_change()
{

	$change = get_option('mnsjay_update_map_on_fields_change');
	$change = $change ? 'yes' : false;
	return $change;
}

function mnsjay_get_option_no_shipping_text()
{

	$text = get_option('mnsjay_no_shipping_text');
	$text = $text ? $text : __('There are no shipping options available. Please ensure that your address and location on map have been entered correctly.', 'mnsjay');
	return $text;
}

function mnsjay_get_option_dokan_seller_shipping()
{

	$forced = get_option('mnsjay_dokan_seller_shipping');
	$forced = $forced ? 'yes' : false;
	return $forced;
}

function mnsjay_get_option_display_distance()
{

	$physical = get_option('mnsjay_display_distance');
	$physical = $physical ? 'yes' : false;
	return $physical;
}

function mnsjay_get_option_distance_calculation_type()
{

	$calculation = get_option('mnsjay_distance_calculation_type', 'vincenty');
	$calculation = in_array($calculation, ['vincenty', 'haversine', 'navigation']) ? $calculation : 'vincenty';

	return $calculation;
}

function mnsjay_get_option_order_location_page_id()
{

	$page_id = get_option('mnsjay_order_location_page_id');

	if ('publish' !== get_post_status($page_id) and is_admin() and current_user_can('publish_pages')) {

		if (get_page_by_path(mnsjay_order_location_page_slug())) {
			$page_id = get_page_by_path(mnsjay_order_location_page_slug())->ID;
		} else {
			$page_id = mnsjay_create_order_location_page();
		}

		update_option('mnsjay_order_location_page_id', $page_id);
	}

	return $page_id;
}

function mnsjay_get_option_map_on_billing()
{

	$display = get_option('mnsjay_map_on_billing', 'yes');
	$display = $display ? 'yes' : false;
	return $display;
}

function mnsjay_get_option_map_on_shipping()
{

	$display = get_option('mnsjay_map_on_shipping', 'yes');
	$display = $display ? 'yes' : false;
	return $display;
}

function mnsjay_get_option_map_priority()
{

	$priority = get_option('mnsjay_map_priority', 120);
	$priority = is_numeric($priority) ? $priority : 120;
	$priority = $priority < 1 ? 1 : $priority;
	$priority = $priority > mnsjay_max_map_priority() ? mnsjay_max_map_priority() : $priority;

	return $priority;
}

function mnsjay_get_option_map_only_on_physical_products()
{

	$physical = get_option('mnsjay_map_only_on_physical_products');
	$physical = $physical ? 'yes' : false;
	return $physical;
}

function mnsjay_get_option_cities_field()
{

	$field = get_option('mnsjay_cities_field');
	$field = $field ? 'yes' : false;
	return $field;
}

function mnsjay_get_option_map_only_in_regions()
{

	$regions = get_option('mnsjay_map_only_in_regions', array());
	$regions = is_array($regions) ? $regions : array();

	return $regions;
}

function mnsjay_get_option_map_display_lat_lng()
{

	$display = get_option('mnsjay_map_display_lat_lng');
	$display = $display ? 'yes' : false;
	return $display;
}

function mnsjay_get_option_map_display_distance()
{

	$display = get_option('mnsjay_map_display_distance');
	$display = $display ? 'yes' : false;
	return $display;
}

function mnsjay_get_option_map_display_search()
{

	$display = get_option('mnsjay_map_display_search');
	$display = $display ? 'yes' : false;
	return $display;
}

function mnsjay_get_option_map_cover_text()
{

	$text = get_option('mnsjay_map_cover_text', __('Click Here', 'mnsjay'));
	return $text;
}

function mnsjay_get_option_map_search_text()
{

	$text = get_option('mnsjay_map_search_text', __('Search place...', 'mnsjay'));
	return $text;
}

function mnsjay_get_option_map_gesture_handling()
{

	$gesture = get_option('mnsjay_map_gesture_handling');
	$gesture = $gesture ? 'yes' : false;
	return $gesture;
}

function mnsjay_get_option_map_display_traffic()
{

	$traffic = get_option('mnsjay_map_display_traffic');
	$traffic = $traffic ? 'yes' : false;
	return $traffic;
}

function mnsjay_get_option_map_device_location()
{

	$device_location = get_option('mnsjay_map_device_location');
	$device_location = $device_location ? 'yes' : false;
	return $device_location;
}

function mnsjay_get_option_map_template()
{

	$template = get_option('mnsjay_map_template');
	$template = $template ? $template : 'neshan';
	return $template;
}

function mnsjay_get_option_map_holder_type()
{

	$holder_type = get_option('mnsjay_map_holder_type');
	$holder_type = $holder_type ? $holder_type : 'simple-autoload';
	return $holder_type;
}

function mnsjay_get_option_map_submit_type()
{

	$submit_type = get_option('mnsjay_map_submit_type');
	$submit_type = $submit_type ? $submit_type : 'click';
	return $submit_type;
}

function mnsjay_get_option_neshan_web_api_key()
{

	$api_key = get_option('mnsjay_neshan_web_api_key');
	return $api_key;
}

function mnsjay_get_option_neshan_service_api_key()
{

	$api_key = get_option('mnsjay_neshan_service_api_key');
	return $api_key;
}

function mnsjay_get_option_mapir_api_key()
{

	$api_key = get_option('mnsjay_mapir_api_key');
	return $api_key;
}

function mnsjay_get_option_mapbox_api_key()
{

	$api_key = get_option('mnsjay_mapbox_api_key');
	return $api_key;
}

function mnsjay_get_option_logistic_providers()
{

	$providers = get_option('mnsjay_logistic_providers', []);
	$providers = is_array($providers) ? $providers : [];

	foreach (mnsjay_logistic_providers() as $provider_key => $provider_values) {
		foreach ($provider_values['settings'] as $setting_key => $setting_name) {
			$providers[$provider_key][$setting_key] = $providers[$provider_key][$setting_key] ?? '';
		}
	}

	return $providers;
}

function mnsjay_get_option_map_providers()
{

	$providers = get_option('mnsjay_map_providers', []);
	$providers = is_array($providers) ? $providers : [];

	// backward compatibility
	if (!count($providers)) {
		$providers = [
			'display' =>  mnsjay_get_option_map_display_provider(),
			'search' =>  mnsjay_get_option_map_search_provider(),
			'location' =>  mnsjay_get_option_map_submit_provider(),
			'navigation' =>  mnsjay_get_option_map_tsp_provider()
		];
	}

	return $providers;
}

function mnsjay_get_option_map_display_provider()
{

	$provider = get_option('mnsjay_map_display_provider');
	$provider = $provider ? $provider : 'openstreetmap';
	return $provider;
}

function mnsjay_get_option_map_search_provider()
{

	$provider = get_option('mnsjay_map_search_provider');
	$provider = $provider ? $provider : 'neshan';
	return $provider;
}

function mnsjay_get_option_map_tsp_provider()
{

	$provider = get_option('mnsjay_map_tsp_provider');
	$provider = $provider ? $provider : 'neshan';
	return $provider;
}

function mnsjay_get_option_map_submit_provider()
{

	$provider = get_option('mnsjay_map_submit_provider');
	$provider = $provider ? $provider : 'neshan';
	return $provider;
}

function mnsjay_get_option_default_location()
{

	$location = get_option('mnsjay_default_location', '35.699739,51.338097');
	return $location;
}

function mnsjay_get_option_shipping_methods()
{

	$methods = get_option('mnsjay_shipping_methods', array());
	$methods = is_array($methods) ? $methods : array();

	foreach ($methods as $method_key => $method_values) {
		$default_title = sprintf(__('Delivery %s', 'mnsjay'), substr($method_key, strrpos($method_key, '_') + 1));
		$methods[$method_key] = [
			'active' => isset($method_values['active']) ? $method_values['active'] : '',
			'default_title' => isset($method_values['default_title']) ? $method_values['default_title'] : $default_title,
			'title' => isset($method_values['title']) ? $method_values['title'] : $default_title,
			'base_cost' => isset($method_values['base_cost']) ? $method_values['base_cost'] : '0',
		];
	}

	return $methods;
}

function mnsjay_get_option_shipping_methods_counter()
{

	$counter = get_option('mnsjay_shipping_methods_counter', '50');
	$counter = is_numeric($counter) ? $counter : '50';

	return $counter;
}

function mnsjay_get_option_shipping_zone_check_type()
{

	$check_type = get_option('mnsjay_shipping_zone_check_type', array());
	$check_type = is_array($check_type) ? $check_type : array();

	return $check_type;
}

function mnsjay_get_option_shipping_zones()
{

	$zones = get_option('mnsjay_shipping_zones', array());
	$zones = is_array($zones) ? $zones : array();

	return $zones;
}

function mnsjay_get_option_shipping_zones_count()
{

	$count = get_option('mnsjay_shipping_zones_count', '1');
	$count = is_numeric($count) ? $count : '1';

	return $count;
}

function mnsjay_get_option_shipping_origins()
{

	$origins = get_option('mnsjay_shipping_origins', []);
	$origins = is_array($origins) ? $origins : [];

	return $origins;
}

function mnsjay_get_option_shipping_areas()
{

	$areas = get_option('mnsjay_shipping_areas', []);
	$areas = is_array($areas) ? $areas : [];

	return $areas;
}

function mnsjay_get_option_shipping_exclude_areas()
{

	$areas = get_option('mnsjay_shipping_exclude_areas', []);
	$areas = is_array($areas) ? $areas : [];

	return $areas;
}

function mnsjay_get_option_shipping_regions()
{

	$regions = get_option('mnsjay_shipping_regions', []);
	$regions = is_array($regions) ? $regions : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {
		$regions[$method_key] = isset($regions[$method_key]) ? $regions[$method_key] : [];
	}

	return $regions;
}

function mnsjay_get_option_shipping_exclude_regions()
{

	$regions = get_option('mnsjay_shipping_exclude_regions', []);
	$regions = is_array($regions) ? $regions : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {
		$regions[$method_key] = isset($regions[$method_key]) ? $regions[$method_key] : [];
	}

	return $regions;
}

function mnsjay_get_option_shipping_base_types()
{

	$base_types = get_option('mnsjay_shipping_base_types', []);
	$base_types = is_array($base_types) ? $base_types : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {
		$base_types[$method_key] = isset($base_types[$method_key]) ? $base_types[$method_key] : 'simple';
	}

	return $base_types;
}

function mnsjay_get_option_shipping_base_costs()
{

	$base_costs = get_option('mnsjay_shipping_base_costs', []);
	$base_costs = is_array($base_costs) ? $base_costs : [];

	return mnsjay_converter_shipping_base_costs($base_costs);
}

function mnsjay_get_option_shipping_extra_costs()
{

	$extra_costs = get_option('mnsjay_shipping_extra_costs', []);
	$extra_costs = is_array($extra_costs) ? $extra_costs : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($extra_costs[$method_key]))
			continue;

		$extra_costs[$method_key] = [];
	}

	return $extra_costs;
}

function mnsjay_get_option_shipping_week_days()
{

	$week_days = get_option('mnsjay_shipping_week_days', []);
	$week_days = is_array($week_days) ? $week_days : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {
		foreach (mnsjay_local_week_days() as $week_key => $week_name) {

			if (isset($week_days[$method_key][$week_key])) {
				$week_days[$method_key][$week_key] = [
					'active' => isset($week_days[$method_key][$week_key]['active']) ? 'yes' : '',
					'base_cost' => isset($week_days[$method_key][$week_key]['base_cost']) ? $week_days[$method_key][$week_key]['base_cost'] : '',
					'ratio' => isset($week_days[$method_key][$week_key]['ratio']) ? $week_days[$method_key][$week_key]['ratio'] : '',
					'title' => isset($week_days[$method_key][$week_key]['title']) ? $week_days[$method_key][$week_key]['title'] : '',
				];
			} else {
				$week_days[$method_key][$week_key] = [
					'active' => 'yes',
					'base_cost' => '',
					'ratio' => '',
					'title' => '',
				];
			}
		}
	}

	return $week_days;
}

function mnsjay_get_option_shipping_week_times()
{

	$week_times = get_option('mnsjay_shipping_week_times', []);
	$week_times = is_array($week_times) ? $week_times : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {
		foreach (mnsjay_local_week_days() as $week_key => $week_name) {
			if (!isset($week_times[$method_key][$week_key])) {
				$week_times[$method_key][$week_key] = [];
			}
		}
	}

	return $week_times;
}

function mnsjay_get_option_shipping_distances()
{

	$distances = get_option('mnsjay_shipping_distances', []);
	$distances = is_array($distances) ? $distances : [];

	return mnsjay_converter_shipping_distances($distances);
}

function mnsjay_get_option_shipping_weights()
{

	$weights = get_option('mnsjay_shipping_weights', []);
	$weights = is_array($weights) ? $weights : [];

	return mnsjay_converter_shipping_weights($weights);
}

function mnsjay_get_option_shipping_classes_counter()
{

	$counter = get_option('mnsjay_shipping_classes_counter', time());
	$counter = is_numeric($counter) ? $counter : time();

	return $counter;
}

function mnsjay_get_option_origin_locations()
{

	$locations = get_option('mnsjay_origin_locations', array());
	$locations = is_array($locations) ? $locations : array();

	return $locations;
}

function mnsjay_get_option_zone_layers()
{

	$layers = get_option('mnsjay_zone_layers', array());
	$layers = is_array($layers) ? $layers : array();

	return $layers;
}

function mnsjay_get_option_shipping_distance_bases()
{

	$bases = get_option('mnsjay_shipping_distance_bases', array());
	$bases = is_array($bases) ? $bases : array();

	return $bases;
}

// backward compatible (1st shahrivar)
function mnsjay_convert_shipping_distance_ranges($ranges)
{

	if (count($ranges) >= 1)
		return $ranges;

	$methods = mnsjay_get_option_shipping_methods();

	foreach ($methods as $method_key => $method_values) {

		if (isset($ranges[$method_key]))
			continue;

		$ranges[$method_key] = array(
			'from' => $method_values['distance_from'],
			'to' => $method_values['distance_to']
		);
	}

	update_option('mnsjay_shipping_distance_ranges', $ranges);

	return $ranges;
}

function mnsjay_get_option_shipping_distance_ranges()
{

	$ranges = get_option('mnsjay_shipping_distance_ranges', array());
	$ranges = is_array($ranges) ? $ranges : array();

	return mnsjay_convert_shipping_distance_ranges($ranges);
}

function mnsjay_get_option_shipping_distance_classes()
{

	$classes = get_option('mnsjay_shipping_distance_classes', array());
	$classes = is_array($classes) ? $classes : array();

	return $classes;
}

function mnsjay_get_option_shipping_distance_classes_counter()
{

	$count = get_option('mnsjay_shipping_distance_classes_counter', '1');
	$count = is_numeric($count) ? $count : '1';

	return $count;
}

function mnsjay_get_option_shipping_weight_bases()
{

	$bases = get_option('mnsjay_shipping_weight_bases', array());
	$bases = is_array($bases) ? $bases : array();

	return $bases;
}

// backward compatible (1st shahrivar)
function mnsjay_convert_shipping_weight_ranges($ranges)
{

	if (count($ranges) >= 1)
		return $ranges;

	$methods = mnsjay_get_option_shipping_methods();

	foreach ($methods as $method_key => $method_values) {

		if (isset($ranges[$method_key]))
			continue;

		$ranges[$method_key] = array(
			'from' => $method_values['weight_from'],
			'to' => $method_values['weight_to']
		);
	}

	update_option('mnsjay_shipping_weight_ranges', $ranges);

	return $ranges;
}

function mnsjay_get_option_shipping_weight_ranges()
{

	$ranges = get_option('mnsjay_shipping_weight_ranges', array());
	$ranges = is_array($ranges) ? $ranges : array();

	return mnsjay_convert_shipping_weight_ranges($ranges);
}

function mnsjay_get_option_shipping_weight_classes()
{

	$classes = get_option('mnsjay_shipping_weight_classes', array());
	$classes = is_array($classes) ? $classes : array();

	return $classes;
}

function mnsjay_get_option_shipping_weight_classes_counter()
{

	$count = get_option('mnsjay_shipping_weight_classes_counter', '1');
	$count = is_numeric($count) ? $count : '1';

	return $count;
}

function mnsjay_get_option_shipping_distance_weight_classes()
{

	$classes = get_option('mnsjay_shipping_distance_weight_classes', array());
	$classes = is_array($classes) ? $classes : array();

	return $classes;
}

function mnsjay_get_option_shipping_conditions_classes_counter()
{

	$count = get_option('mnsjay_shipping_conditions_classes_counter', '1');
	$count = is_numeric($count) ? $count : '1';

	return $count;
}

function mnsjay_get_option_shipping_cart_classes()
{

	$classes = get_option('mnsjay_shipping_cart_classes', array());
	$classes = is_array($classes) ? $classes : array();

	return $classes;
}

function mnsjay_get_option_shipping_allowed_gateways()
{

	$allowed_gateways = get_option('mnsjay_shipping_allowed_gateways', []);
	$allowed_gateways = is_array($allowed_gateways) ? $allowed_gateways : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($allowed_gateways[$method_key]))
			continue;

		$allowed_gateways[$method_key] = [];
	}

	return $allowed_gateways;
}

function mnsjay_get_option_shipping_allowed_roles()
{

	$allowed_roles = get_option('mnsjay_shipping_allowed_roles', []);
	$allowed_roles = is_array($allowed_roles) ? $allowed_roles : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($allowed_roles[$method_key]))
			continue;

		$allowed_roles[$method_key] = [];
	}

	return $allowed_roles;
}

function mnsjay_get_option_shipping_disable_shippings()
{

	$disable_shippings = get_option('mnsjay_shipping_disable_shippings', array());
	$disable_shippings = is_array($disable_shippings) ? $disable_shippings : array();

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($disable_shippings[$method_key]))
			continue;

		$disable_shippings[$method_key] = array();
	}

	return $disable_shippings;
}

function mnsjay_get_option_shipping_product_ids()
{

	$product_ids = get_option('mnsjay_shipping_product_ids', array());
	$product_ids = is_array($product_ids) ? $product_ids : array();

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($product_ids[$method_key]))
			continue;

		$product_ids[$method_key] = array();
	}

	return $product_ids;
}

function mnsjay_get_option_shipping_exclude_product_ids()
{

	$exclude_product_ids = get_option('mnsjay_shipping_exclude_product_ids', array());
	$exclude_product_ids = is_array($exclude_product_ids) ? $exclude_product_ids : array();

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($exclude_product_ids[$method_key]))
			continue;

		$exclude_product_ids[$method_key] = array();
	}

	return $exclude_product_ids;
}

function mnsjay_get_option_shipping_product_categories()
{

	$product_categories = get_option('mnsjay_shipping_product_categories', array());
	$product_categories = is_array($product_categories) ? $product_categories : array();

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($product_categories[$method_key]))
			continue;

		$product_categories[$method_key] = array();
	}

	return $product_categories;
}

function mnsjay_get_option_shipping_exclude_product_categories()
{

	$exclude_product_categories = get_option('mnsjay_shipping_exclude_product_categories', array());
	$exclude_product_categories = is_array($exclude_product_categories) ? $exclude_product_categories : array();

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($exclude_product_categories[$method_key]))
			continue;

		$exclude_product_categories[$method_key] = array();
	}

	return $exclude_product_categories;
}

function mnsjay_get_option_shipping_classes()
{

	$classes = get_option('mnsjay_shipping_classes', []);
	$classes = is_array($classes) ? $classes : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($classes[$method_key]))
			continue;

		$classes[$method_key] = [];
	}

	return $classes;
}

function mnsjay_get_option_shipping_exclude_classes()
{

	$classes = get_option('mnsjay_shipping_exclude_classes', []);
	$classes = is_array($classes) ? $classes : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($classes[$method_key]))
			continue;

		$classes[$method_key] = [];
	}

	return $classes;
}

function mnsjay_get_option_shipping_logos()
{

	$logos = get_option('mnsjay_shipping_logos', []);
	$logos = is_array($logos) ? $logos : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		if (isset($logos[$method_key]))
			continue;

		$logos[$method_key] = '';
	}

	return $logos;
}

function mnsjay_get_option_shipping_location_required()
{

	$required = get_option('mnsjay_shipping_location_required', []);
	$required = is_array($required) ? $required : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		$required[$method_key] = isset($required[$method_key]) ? 'yes' : false;
	}

	return $required;
}

function mnsjay_get_option_shipping_display_distance()
{

	$display_distance = get_option('mnsjay_shipping_display_distance', []);
	$display_distance = is_array($display_distance) ? $display_distance : [];

	foreach (mnsjay_get_option_shipping_methods() as $method_key => $method_values) {

		$display_distance[$method_key] = isset($display_distance[$method_key]) ? 'yes' : false;
	}

	return mnsjay_converter_display_distance($display_distance);
}

function mnsjay_get_option_debug_mode()
{

	$active = get_option('mnsjay_debug_mode');
	$active = $active ? 'yes' : false;
	return $active;
}

function mnsjay_get_option_dequeue_scripts()
{

	$dequeue_scripts = get_option('mnsjay_dequeue_scripts', '');
	return $dequeue_scripts;
}

function mnsjay_get_option_postman_panel_active()
{

	$active = get_option('mnsjay_postman_panel_active');
	$active = $active ? 'yes' : false;
	return $active;
}

function mnsjay_get_option_postman_panel_page_id()
{

	$page_id = get_option('mnsjay_postman_panel_page_id');

	if ('publish' !== get_post_status($page_id) and is_admin() and current_user_can('publish_pages')) {

		if (get_page_by_path(mnsjay_postman_panel_page_slug())) {
			$page_id = get_page_by_path(mnsjay_postman_panel_page_slug())->ID;
		} else {
			$page_id = mnsjay_create_postman_panel_page();
		}

		update_option('mnsjay_postman_panel_page_id', $page_id);
	}

	return $page_id;
}

function mnsjay_get_option_order_ready_status()
{

	$status = get_option('mnsjay_order_ready_status');
	$status = $status ? $status : 'wc-mnsjay-ready';
	return $status;
}

function mnsjay_get_option_order_delivery_status()
{

	$status = get_option('mnsjay_order_delivery_status');
	$status = $status ? $status : 'wc-mnsjay-delivered';
	return $status;
}

function mnsjay_get_option_order_return_status()
{

	$status = get_option('mnsjay_order_return_status');
	$status = $status ? $status : 'wc-mnsjay-returned';
	return $status;
}

function mnsjay_get_option_send_sms_to_postman()
{

	$send = get_option('mnsjay_send_sms_to_postman');
	$send = $send ? 'yes' : false;
	return $send;
}

function mnsjay_get_option_send_sms_to_customer()
{

	$send = get_option('mnsjay_send_sms_to_customer');
	$send = $send ? 'yes' : false;
	return $send;
}

function mnsjay_get_option_delivery_code_active()
{

	$active = get_option('mnsjay_delivery_code_active');
	$active = $active ? 'yes' : false;
	return $active;
}

function mnsjay_get_option_tsp_active()
{

	$active = get_option('mnsjay_tsp_active');
	$active = $active ? 'yes' : false;
	return $active;
}

function mnsjay_get_option_supervisor_map_active()
{

	$active = get_option('mnsjay_supervisor_map_active');
	$active = $active ? 'yes' : false;
	return $active;
}

function mnsjay_get_option_supervisor_map_roles()
{

	$roles = get_option('mnsjay_supervisor_map_roles', array('administrator'));
	$roles = is_array($roles) ? $roles : array('administrator');
	return $roles;
}

function mnsjay_get_option_supervisor_map_page_id()
{

	$page_id = get_option('mnsjay_supervisor_map_page_id');

	if ('publish' !== get_post_status($page_id) and is_admin() and current_user_can('publish_pages')) {

		if (get_page_by_path(mnsjay_supervisor_map_page_slug())) {
			$page_id = get_page_by_path(mnsjay_supervisor_map_page_slug())->ID;
		} else {
			$page_id = mnsjay_create_supervisor_map_page();
		}

		update_option('mnsjay_supervisor_map_page_id', $page_id);
	}

	return $page_id;
}

function mnsjay_get_option_heatmap_active()
{

	$active = get_option('mnsjay_heatmap_active');
	$active = $active ? 'yes' : false;
	return $active;
}

function mnsjay_get_option_heatmap_roles()
{

	$roles = get_option('mnsjay_heatmap_roles', array('administrator'));
	$roles = is_array($roles) ? $roles : array('administrator');
	return $roles;
}

function mnsjay_get_option_heatmap_page_id()
{

	$page_id = get_option('mnsjay_heatmap_page_id');

	if ('publish' !== get_post_status($page_id) and is_admin() and current_user_can('publish_pages')) {

		if (get_page_by_path(mnsjay_heatmap_page_slug())) {
			$page_id = get_page_by_path(mnsjay_heatmap_page_slug())->ID;
		} else {
			$page_id = mnsjay_create_heatmap_page();
		}

		update_option('mnsjay_heatmap_page_id', $page_id);
	}

	return $page_id;
}

function mnsjay_get_option_postman_panel_logo_id()
{

	$logo_id = get_option('mnsjay_postman_panel_logo_id');
	return $logo_id;
}

function mnsjay_get_option_postman_panel_title()
{

	$title = get_option('mnsjay_postman_panel_title');
	$title = $title ? $title : get_bloginfo('title');
	return $title;
}

function mnsjay_get_option_postman_panel_description()
{

	$description = get_option('mnsjay_postman_panel_description');
	$description = $description ? $description : __('Postmans Panel', 'mnsjay');
	return $description;
}

function mnsjay_get_option_postman_panel_accent_color()
{

	$color = get_option('mnsjay_postman_panel_accent_color');
	$color = $color ? $color : '#3b4551';
	return $color;
}

function mnsjay_get_option_postman_panel_background_color()
{

	$color = get_option('mnsjay_postman_panel_background_color');
	$color = $color ? $color : '#ffffff';
	return $color;
}

function mnsjay_get_option_postman_panel_font_size()
{

	$size = get_option('mnsjay_postman_panel_font_size');
	$size = is_numeric($size) ? $size : '16';
	return $size;
}

function mnsjay_get_option_postman_panel_dashboard_content()
{

	return get_option('mnsjay_postman_panel_dashboard_content');
}

function mnsjay_get_option_sms_webservice()
{

	$webservice = get_option('mnsjay_sms_webservice');
	$webservice = $webservice ? $webservice : 'none';
	return $webservice;
}

function mnsjay_get_option_sms_username()
{

	$username = get_option('mnsjay_sms_username');
	$username = $username ? $username : '';
	return $username;
}

function mnsjay_get_option_sms_password()
{

	$password = get_option('mnsjay_sms_password');
	$password = $password ? $password : '';
	return $password;
}

function mnsjay_get_option_sms_apikey()
{

	$key = get_option('mnsjay_sms_apikey');
	$key = $key ? $key : '';
	return $key;
}

function mnsjay_get_option_sms_secretkey()
{

	$key = get_option('mnsjay_sms_secretkey');
	$key = $key ? $key : '';
	return $key;
}

function mnsjay_get_option_sms_from()
{

	$from = get_option('mnsjay_sms_from');
	$from = $from ? $from : '';
	return $from;
}

function mnsjay_get_option_sms_patterns()
{

	$patterns = get_option('mnsjay_sms_patterns');
	$patterns = is_array($patterns) ? $patterns : array();

	foreach (mnsjay_get_sms_patterns() as $pattern_key => $pattern_values) {

		if (isset($patterns[$pattern_key]))
			continue;

		$patterns[$pattern_key] = array();

		$patterns[$pattern_key]['id'] = '';
		foreach ($pattern_values['vars'] as $var_key => $var_name) {
			$patterns[$pattern_key]['vars'][$var_key] = '';
		}
		$patterns[$pattern_key]['text'] = $pattern_values['text'];
	}

	return $patterns;
}

function mnsjay_get_option_postmans()
{

	$postmans = get_option('mnsjay_postmans', []);
	$postmans = is_array($postmans) ? $postmans : [];

	foreach ($postmans as $postman_key => $postman_values) {

		if (!isset($postman_values['id']) or empty($postman_values['id'])) {
			unset($postmans[$postman_key]);
			continue;
		}

		$postmans[$postman_key]['methods'] = (int) $postman_values['id'];
		$postmans[$postman_key]['methods'] = (isset($postman_values['methods']) and is_array($postman_values['methods'])) ? $postman_values['methods'] : [];
	}

	return $postmans;
}

function mnsjay_get_option_postmans_counter()
{

	$counter = get_option('mnsjay_postmans_counter', '1');
	$counter = is_numeric($counter) ? $counter : '1';

	return $counter;
}
