<?php

if (!defined('ABSPATH')) {
	exit;
}

function mnsjay_post_type_area() {

	$labels = array(
		'name'                  => _x('Areas', 'Post Type General Name', 'mnsjay'),
		'singular_name'         => _x('Area', 'Post Type Singular Name', 'mnsjay'),
		'menu_name'             => __('Areas', 'mnsjay'),
		'name_admin_bar'        => __('Area', 'mnsjay'),
		'archives'              => __('Area Archives', 'mnsjay'),
		'attributes'            => __('Area Attributes', 'mnsjay'),
		'parent_item_colon'     => __('Parent Area:', 'mnsjay'),
		'all_items'             => __('Areas', 'mnsjay'),
		'add_new_item'          => __('Add New Area', 'mnsjay'),
		'add_new'               => __('Add New', 'mnsjay'),
		'new_item'              => __('New Area', 'mnsjay'),
		'edit_item'             => __('Edit Area', 'mnsjay'),
		'update_item'           => __('Update Area', 'mnsjay'),
		'view_item'             => __('View Area', 'mnsjay'),
		'view_items'            => __('View Areas', 'mnsjay'),
		'search_items'          => __('Search Areas', 'mnsjay'),
		'not_found'             => __('Not found', 'mnsjay'),
		'not_found_in_trash'    => __('Not found in Trash', 'mnsjay'),
		'featured_image'        => __('Featured Image', 'mnsjay'),
		'set_featured_image'    => __('Set featured image', 'mnsjay'),
		'remove_featured_image' => __('Remove featured image', 'mnsjay'),
		'use_featured_image'    => __('Use as featured image', 'mnsjay'),
		'insert_into_item'      => __('Insert into Area', 'mnsjay'),
		'uploaded_to_this_item' => __('Uploaded to this Area', 'mnsjay'),
		'items_list'            => __('Areas list', 'mnsjay'),
		'items_list_navigation' => __('Areas list navigation', 'mnsjay'),
		'filter_items_list'     => __('Filter Areas list', 'mnsjay'),
	);

	$args = array(
		'label'                 => __('Area', 'mnsjay'),
		'description'           => __('Map Areas', 'mnsjay'),
		'labels'                => $labels,
		'supports'              => array('title', 'thumbnail'),
		'hierarchical'          => false,
		'public'                => false,
		'show_ui'               => true,
		'show_in_menu'          => mnsjay_settings_slug(),
		'menu_position'         => 30,
		'show_in_admin_bar'     => false,
		'show_in_nav_menus'     => false,
		'can_export'            => true,
		'has_archive'           => false,
		'exclude_from_search'   => true,
		'publicly_queryable'    => false,
		'rewrite'               => false,
		'capability_type'       => 'page',
		'show_in_rest'          => false,
	);

	register_post_type('mnsjay-area', $args);
}
add_action('init', 'mnsjay_post_type_area');

function mnsjay_post_type_area_columns($columns) {

	unset($columns['date']);

	$columns['mnsjay_count'] = __('Area Count', 'mnsjay');
	$columns['mnsjay_points'] = __('Points', 'mnsjay');
	$columns['mnsjay_perimeters'] = __('Perimeters', 'mnsjay');
	$columns['mnsjay_areas'] = _x('Areas', 'Polygon area', 'mnsjay');

	return $columns;
}
add_filter('manage_mnsjay-area_posts_columns', 'mnsjay_post_type_area_columns');

function mnsjay_post_type_area_columns_content($column, $post_id) {

	$layers = json_decode(mnsjay_get_area_layers($post_id));

	switch ($column) {
		case 'mnsjay_count':
			echo '<p>' . count($layers) . '</p>';
			break;
		case 'mnsjay_points':
			foreach ($layers as $layer) {
				$_points = mnsjay_get_polygon_points($layer);
				echo '<p>' . sprintf(_n('%s point', '%s points', $_points, 'mnsjay'), $_points) . '</p>';
			}
			break;
		case 'mnsjay_perimeters':
			foreach ($layers as $layer) {
				echo '<p>' . sprintf(__('%s meters', 'mnsjay'), number_format_i18n(mnsjay_get_polygon_perimeter($layer))) . '</p>';
			}
			break;
		case 'mnsjay_areas':
			foreach ($layers as $layer) {
				echo '<p>' . sprintf(__('%s square meters', 'mnsjay'), number_format_i18n(mnsjay_get_polygon_area($layer))) . '</p>';
			}
			break;
	}
}
add_action('manage_mnsjay-area_posts_custom_column', 'mnsjay_post_type_area_columns_content', 10, 2);

function mnsjay_post_type_area_row_actions($actions, $post) {

	if ($post->post_type != 'mnsjay-area')
		return $actions;

	unset($actions['inline hide-if-no-js']);

	return $actions;
}
add_filter('post_row_actions', 'mnsjay_post_type_area_row_actions', 10, 2);
