<?php

if (!defined('ABSPATH')) {
	exit;
}

function mnsjay_post_type_location() {

	$labels = array(
		'name'                  => _x('Locations', 'Post Type General Name', 'mnsjay'),
		'singular_name'         => _x('Location', 'Post Type Singular Name', 'mnsjay'),
		'menu_name'             => __('Locations', 'mnsjay'),
		'name_admin_bar'        => __('Location', 'mnsjay'),
		'archives'              => __('Location Archives', 'mnsjay'),
		'attributes'            => __('Location Attributes', 'mnsjay'),
		'parent_item_colon'     => __('Parent Location:', 'mnsjay'),
		'all_items'             => __('Locations', 'mnsjay'),
		'add_new_item'          => __('Add New Location', 'mnsjay'),
		'add_new'               => __('Add New', 'mnsjay'),
		'new_item'              => __('New Location', 'mnsjay'),
		'edit_item'             => __('Edit Location', 'mnsjay'),
		'update_item'           => __('Update Location', 'mnsjay'),
		'view_item'             => __('View Location', 'mnsjay'),
		'view_items'            => __('View Locations', 'mnsjay'),
		'search_items'          => __('Search Locations', 'mnsjay'),
		'not_found'             => __('Not found', 'mnsjay'),
		'not_found_in_trash'    => __('Not found in Trash', 'mnsjay'),
		'featured_image'        => __('Featured Image', 'mnsjay'),
		'set_featured_image'    => __('Set featured image', 'mnsjay'),
		'remove_featured_image' => __('Remove featured image', 'mnsjay'),
		'use_featured_image'    => __('Use as featured image', 'mnsjay'),
		'insert_into_item'      => __('Insert into Location', 'mnsjay'),
		'uploaded_to_this_item' => __('Uploaded to this Location', 'mnsjay'),
		'items_list'            => __('Locations list', 'mnsjay'),
		'items_list_navigation' => __('Locations list navigation', 'mnsjay'),
		'filter_items_list'     => __('Filter Locations list', 'mnsjay'),
	);

	$args = array(
		'label'                 => __('Location', 'mnsjay'),
		'description'           => __('Map Locations', 'mnsjay'),
		'labels'                => $labels,
		'supports'              => array('title', 'thumbnail'),
		'hierarchical'          => false,
		'public'                => false,
		'show_ui'               => true,
		'show_in_menu'          => mnsjay_settings_slug(),
		'menu_position'         => 20,
		'show_in_admin_bar'     => false,
		'show_in_nav_menus'     => false,
		'can_export'            => true,
		'has_archive'           => false,
		'exclude_from_search'   => true,
		'publicly_queryable'    => false,
		'rewrite'               => false,
		'capability_type'       => 'page',
		'show_in_rest'          => false,
	);

	register_post_type('mnsjay-location', $args);
}
add_action('init', 'mnsjay_post_type_location');

function mnsjay_post_type_location_columns($columns) {

	unset($columns['date']);

	$columns['mnsjay_country'] = __('Country', 'mnsjay');
	$columns['mnsjay_province'] = __('Province', 'mnsjay');
	$columns['mnsjay_city'] = __('City', 'mnsjay');
	$columns['mnsjay_address'] = __('Address', 'mnsjay');

	return $columns;
}
add_filter('manage_mnsjay-location_posts_columns', 'mnsjay_post_type_location_columns');

function mnsjay_post_type_location_columns_content($column, $post_id) {

	switch ($column) {
		case 'mnsjay_country':
			echo '<p>' . mnsjay_get_location_country($post_id) . '</p>';
			break;
		case 'mnsjay_province':
			echo '<p>' . mnsjay_get_location_province($post_id) . '</p>';
			break;
		case 'mnsjay_city':
			echo '<p>' . mnsjay_get_location_city($post_id) . '</p>';
			break;
		case 'mnsjay_address':
			echo '<p>' . mnsjay_get_location_address($post_id) . '</p>';
			break;
	}
}
add_action('manage_mnsjay-location_posts_custom_column', 'mnsjay_post_type_location_columns_content', 10, 2);

function mnsjay_post_type_location_row_actions($actions, $post) {

	if ($post->post_type != 'mnsjay-location')
		return $actions;

	unset($actions['inline hide-if-no-js']);

	return $actions;
}
add_filter('post_row_actions', 'mnsjay_post_type_location_row_actions', 10, 2);
