<?php

if (!defined('ABSPATH')) {
	exit;
}

function mnsjay_post_type_map() {

	$labels = array(
		'name'                  => _x('Maps', 'Post Type General Name', 'mnsjay'),
		'singular_name'         => _x('Map', 'Post Type Singular Name', 'mnsjay'),
		'menu_name'             => __('Jaayegah', 'mnsjay'),
		'name_admin_bar'        => __('Map', 'mnsjay'),
		'archives'              => __('Map Archives', 'mnsjay'),
		'attributes'            => __('Map Attributes', 'mnsjay'),
		'parent_item_colon'     => __('Parent Map:', 'mnsjay'),
		'all_items'             => __('Maps', 'mnsjay'),
		'add_new_item'          => __('Add New Map', 'mnsjay'),
		'add_new'               => __('Add New', 'mnsjay'),
		'new_item'              => __('New Map', 'mnsjay'),
		'edit_item'             => __('Edit Map', 'mnsjay'),
		'update_item'           => __('Update Map', 'mnsjay'),
		'view_item'             => __('View Map', 'mnsjay'),
		'view_items'            => __('View Maps', 'mnsjay'),
		'search_items'          => __('Search Maps', 'mnsjay'),
		'not_found'             => __('Not found', 'mnsjay'),
		'not_found_in_trash'    => __('Not found in Trash', 'mnsjay'),
		'featured_image'        => __('Featured Image', 'mnsjay'),
		'set_featured_image'    => __('Set featured image', 'mnsjay'),
		'remove_featured_image' => __('Remove featured image', 'mnsjay'),
		'use_featured_image'    => __('Use as featured image', 'mnsjay'),
		'insert_into_item'      => __('Insert into Map', 'mnsjay'),
		'uploaded_to_this_item' => __('Uploaded to this Map', 'mnsjay'),
		'items_list'            => __('Maps list', 'mnsjay'),
		'items_list_navigation' => __('Maps list navigation', 'mnsjay'),
		'filter_items_list'     => __('Filter Maps list', 'mnsjay'),
	);

	$args = array(
		'label'                 => __('Map', 'mnsjay'),
		'description'           => __('Static Maps', 'mnsjay'),
		'labels'                => $labels,
		'supports'              => array('title', 'thumbnail'),
		'hierarchical'          => false,
		'public'                => false,
		'show_ui'               => true,
		'show_in_menu'          => mnsjay_settings_slug(),
		'menu_position'         => 40,
		'show_in_admin_bar'     => false,
		'show_in_nav_menus'     => false,
		'can_export'            => true,
		'has_archive'           => false,
		'exclude_from_search'   => true,
		'publicly_queryable'    => false,
		'rewrite'               => false,
		'capability_type'       => 'page',
		'show_in_rest'          => false,
	);

	register_post_type('mnsjay-map', $args);
}
add_action('init', 'mnsjay_post_type_map');

function mnsjay_post_type_map_columns($columns) {

	unset($columns['date']);

	$columns['mnsjay_shortcode'] = __('Shortcode', 'mnsjay');
	$columns['mnsjay_locations'] = __('Locations', 'mnsjay');
	$columns['mnsjay_areas'] = __('Areas', 'mnsjay');

	return $columns;
}
add_filter('manage_mnsjay-map_posts_columns', 'mnsjay_post_type_map_columns');

function mnsjay_post_type_map_columns_content($column, $post_id) {

	$locations = mnsjay_get_map_locations($post_id);
	$areas = mnsjay_get_map_areas($post_id);

	switch ($column) {
		case 'mnsjay_shortcode':
			echo '<p><code>[mnsjay_map id="' . $post_id . '"]</code></p>';
			break;
		case 'mnsjay_locations':
			echo '<p>';
			if (count($locations)) {
				$locations = array_map(function ($location_values) {
					return '<a href="' . get_edit_post_link($location_values['id']) . '" target="_blank">' . get_the_title($location_values['id']) . '</a>';
				}, $locations);
				echo implode(_x(', ', 'List separator', 'mnsjay'), $locations);
			} else {
				echo __('No locations', 'mnsjay');
			}
			echo '</p>';
			break;
		case 'mnsjay_areas':
			echo '<p>';
			if (count($areas)) {
				$areas = array_map(function ($area_values) {
					return '<a href="' . get_edit_post_link($area_values['id']) . '" target="_blank">' . get_the_title($area_values['id']) . '</a>';
				}, $areas);
				echo implode(_x(', ', 'List separator', 'mnsjay'), $areas);
			} else {
				echo __('No areas', 'mnsjay');
			}
			echo '</p>';
			break;
	}
}
add_action('manage_mnsjay-map_posts_custom_column', 'mnsjay_post_type_map_columns_content', 10, 2);

function mnsjay_post_type_map_row_actions($actions, $post) {

	if ($post->post_type != 'mnsjay-map')
		return $actions;

	unset($actions['inline hide-if-no-js']);

	return $actions;
}
add_filter('post_row_actions', 'mnsjay_post_type_map_row_actions', 10, 2);
