<?php

if (!defined('ABSPATH')) {
	exit;
}

function mnsjay_settings_postman_panel_logo_output() {

	$logo_id = mnsjay_get_option_postman_panel_logo_id();

	mnsjay_upload_image('mnsjay_postman_panel_logo_id', $logo_id, [
		'title' => __('Choose Postman Panel Logo', 'mnsjay')
	]);

?>
	<p class="description"><?php _e('Choose a logo to display in postman panel header.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_postman_panel_title_output() {

	$title = mnsjay_get_option_postman_panel_title();

?>

	<input type="text" class="regular-text" id="mnsjay_postman_panel_title" name="mnsjay_postman_panel_title" value="<?php echo $title; ?>">
	<p class="description"><?php _e('Define a title to display in postman panel header.', 'mnsjay'); ?></p>

<?php
}
function mnsjay_settings_postman_panel_description_output() {

	$description = mnsjay_get_option_postman_panel_description();

?>

	<input type="text" class="regular-text" id="mnsjay_postman_panel_description" name="mnsjay_postman_panel_description" value="<?php echo $description; ?>">
	<p class="description"><?php _e('Define a description to display in postman panel header.', 'mnsjay'); ?></p>

<?php
}
function mnsjay_settings_postman_panel_accent_color_output() {

	$color = mnsjay_get_option_postman_panel_accent_color();

?>

	<input type="text" class="regular-text mnsjay-color-picker" id="mnsjay_postman_panel_accent_color" name="mnsjay_postman_panel_accent_color" value="<?php echo $color; ?>">
	<p class="description"><?php _e('Choose an accent color for postman panel.', 'mnsjay'); ?></p>

<?php
}
function mnsjay_settings_postman_panel_background_color_output() {

	$color = mnsjay_get_option_postman_panel_background_color();

?>

	<input type="text" class="regular-text mnsjay-color-picker" id="mnsjay_postman_panel_background_color" name="mnsjay_postman_panel_background_color" value="<?php echo $color; ?>">
	<p class="description"><?php _e('Choose an background color for postman panel.', 'mnsjay'); ?></p>

<?php
}
function mnsjay_settings_postman_panel_font_size_output() {

	$size = mnsjay_get_option_postman_panel_font_size();

?>

	<input type="number" class="normal-text" id="mnsjay_postman_panel_font_size" name="mnsjay_postman_panel_font_size" value="<?php echo $size; ?>"> px
	<p class="description"><?php _e('Define postman panel main font size.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_postman_panel_dashboard_content_output() {

	$content = mnsjay_get_option_postman_panel_dashboard_content();

	wp_editor($content, 'mnsjay_postman_panel_dashboard_content', [
		'wpautop' => true,
		'media_buttons' => true,
		'drag_drop_upload' => true,
		'textarea_name' => 'mnsjay_postman_panel_dashboard_content'
	]);
}
