<?php

if (!defined('ABSPATH')) {
	exit;
}

function mnsjay_settings_postman_panel_active_output() {

	$active = mnsjay_get_option_postman_panel_active();

?>

	<label><input type="checkbox" name="mnsjay_postman_panel_active" value="yes" <?php checked($active, 'yes'); ?>> <?php _e('Yes', 'mnsjay'); ?></label>
	<p class="description"><?php _e('Active postman panel feature.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_postman_panel_page_id_output() {

	$page_id = intval(mnsjay_get_option_postman_panel_page_id());

?>

	<select name="mnsjay_postman_panel_page_id" id="mnsjay_postman_panel_page_id" class="wc-page-search regular-text" data-placeholder="<?php _e('Search a page...', 'mnsjay'); ?>">
		<?php if (get_post_type($page_id) == 'page') {
			echo '<option value="' . $page_id . '" selected="selected">' . get_the_title($page_id) . '</option>';
		} ?>
	</select>
	<p class="description"><?php _e('Select a page for postman panel.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_order_ready_status_output() {

	$ready_status = mnsjay_get_option_order_ready_status();

?>

	<select name="mnsjay_order_ready_status" id="mnsjay_order_ready_status" class="wc-enhanced-select regular-text">
		<?php foreach (wc_get_order_statuses() as $status_key => $status_title) {
			echo '<option value="' . $status_key . '" ' . selected($ready_status, $status_key, false) . '>' . $status_title . '</option>';
		} ?>
	</select>
	<p class="description"><?php _e('Select a status when an order sent to postman.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_order_delivery_status_output() {

	$delivery_status = mnsjay_get_option_order_delivery_status();

?>

	<select name="mnsjay_order_delivery_status" id="mnsjay_order_delivery_status" class="wc-enhanced-select regular-text">
		<?php foreach (wc_get_order_statuses() as $status_key => $status_title) {
			echo '<option value="' . $status_key . '" ' . selected($delivery_status, $status_key, false) . '>' . $status_title . '</option>';
		} ?>
	</select>
	<p class="description"><?php _e('Select a status when an order delivered to customer.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_order_return_status_output() {

	$return_status = mnsjay_get_option_order_return_status();

?>

	<select name="mnsjay_order_return_status" id="mnsjay_order_return_status" class="wc-enhanced-select regular-text">
		<?php foreach (wc_get_order_statuses() as $status_key => $status_title) {
			echo '<option value="' . $status_key . '" ' . selected($return_status, $status_key, false) . '>' . $status_title . '</option>';
		} ?>
	</select>
	<p class="description"><?php _e('Select a status when an order returned by postman.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_send_sms_to_postman_output() {

	$send = mnsjay_get_option_send_sms_to_postman();

?>

	<label><input type="checkbox" name="mnsjay_send_sms_to_postman" value="yes" <?php checked($send, 'yes'); ?>> <?php _e('Yes', 'mnsjay'); ?></label>
	<p class="description"><?php _e('Send an SMS to relevant postman when an order status changes to "Ready".', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_send_sms_to_customer_output() {

	$send = mnsjay_get_option_send_sms_to_customer();

?>

	<label><input type="checkbox" name="mnsjay_send_sms_to_customer" value="yes" <?php checked($send, 'yes'); ?>> <?php _e('Yes', 'mnsjay'); ?></label>
	<p class="description"><?php _e('Send an SMS to customer when order sent to postman. This option is required if delivery code is active.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_delivery_code_active_output() {

	$active = mnsjay_get_option_delivery_code_active();

?>

	<label><input type="checkbox" name="mnsjay_delivery_code_active" value="yes" <?php checked($active, 'yes'); ?>> <?php _e('Yes', 'mnsjay'); ?></label>
	<p class="description"><?php _e('Send an SMS containing delivery code to customer and postman will receive the code from the customer before delivery.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_tsp_active_output() {

	$active = mnsjay_get_option_tsp_active();

?>

	<label><input type="checkbox" name="mnsjay_tsp_active" value="yes" <?php checked($active, 'yes'); ?>> <?php _e('Yes', 'mnsjay'); ?></label>
	<p class="description"><?php _e('By this option, postmans can receive an optimal route to deliver the parcels in the best possible order and in the shortest possible time.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_supervisor_map_active_output() {

	$active = mnsjay_get_option_supervisor_map_active();

?>

	<label><input type="checkbox" name="mnsjay_supervisor_map_active" value="yes" <?php checked($active, 'yes'); ?>> <?php _e('Yes', 'mnsjay'); ?></label>
	<p class="description"><?php _e('Active supervisor map feature.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_supervisor_map_roles_output() {

	$roles = mnsjay_get_option_supervisor_map_roles();

?>

	<select class="wc-enhanced-select regular-text" name="mnsjay_supervisor_map_roles[]" id="mnsjay_supervisor_map_roles" multiple>
		<?php mnsjay_dropdown_roles($roles); ?>
	</select>
	<p class="description"><?php _e('Specify user roles that have access to the supervisor map page.', 'mnsjay'); ?></p>

<?php
}

function mnsjay_settings_supervisor_map_page_id_output() {

	$page_id = intval(mnsjay_get_option_supervisor_map_page_id());

?>

	<select name="mnsjay_supervisor_map_page_id" id="mnsjay_supervisor_map_page_id" class="wc-page-search regular-text" data-placeholder="<?php _e('Search a page...', 'mnsjay'); ?>">
		<?php if (get_post_type($page_id) == 'page') {
			echo '<option value="' . $page_id . '" selected="selected">' . get_the_title($page_id) . '</option>';
		} ?>
	</select>
	<p class="description"><?php _e('Select a page for supervisor map.', 'mnsjay'); ?></p>

<?php
}
