<?php

if(!defined('ABSPATH'))
	exit;


function mnsjay_settings_origin_locations_output() {

	$methods = mnsjay_get_option_shipping_methods();
	$origins = mnsjay_get_option_origin_locations();

	if(!mnsjay_is_available_method()) {
		echo '<p class="description">' . __('There is no active method! Please active at least one of them and then return back.', 'mnsjay') . '</p>';
		return;
	}

	$active_method = isset($_GET['method_key']) ? sanitize_text_field($_GET['method_key']) : false;

	if($active_method and !mnsjay_shipping_is_available($active_method)) {
		echo '<p class="description">' . __('This shipping method is not active! Please active it and then return back.', 'mnsjay') . '</p>';
		return;
	}

	?>

	<div class="mnsjay-tabs-container">
		
		<div class="mnsjay-tab-items">
			<?php foreach ($methods as $method_key => $method_values) {

				if(!mnsjay_shipping_is_active($method_values))
					continue;

				$active_method = $active_method ? $active_method : $method_key;

				echo '<div class="mnsjay-tab-item' . ($active_method == $method_key ? ' current' : '') . '"><span>' . $method_values['title'] . '</span></div>';
			} ?>
		</div>

		<?php foreach ($methods as $method_key => $method_values) {
			
			if(!mnsjay_shipping_is_active($method_values))
				continue;

			$origins[$method_key] = isset($origins[$method_key]) ? $origins[$method_key] : mnsjay_get_default_location();
			$map_options['location'] = $origins[$method_key];
		?>

		<div class="mnsjay-tab-box mnsjay-addable-container" style="display: <?php echo $active_method == $method_key ? 'block' : 'none'; ?>;">
			<p class="description"><?php _e('Specify the origin of each shipping method.', 'mnsjay'); ?></p><br>

			<?php mnsjay_template_admin_map('mnsjay_origin_location_' . $method_key, 'mnsjay_origin_locations[' . $method_key . ']', array(
				'central_marker' => true,
				'display_lat_lng' => true,
				'display_search' => true,
				'gesture_handling' => true,
				'device_location' => true,
				'fullscreen' => true,
				'overlay_text' => __('Click here to change origin', 'mnsjay'),
				'location' => $origins[$method_key]
			)); ?>

		</div>

		<?php } ?>
	</div>

	<?php
}