<?php

if (!defined('ABSPATH')) {
	exit;
}

function mnsjay_settings_register() {

	require_once(MNSJAY_PATH . '/includes/settings/fields/general-general.php');

	add_settings_section('mnsjay_general_general_license', __('License Settings', 'mnsjay'), function () {
		echo '<p>' . __('License related settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_general_general_page');

	add_settings_field('mnsjay_license_field', __('License Key', 'mnsjay'), 'mnsjay_settings_license_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_license', array('label_for' => 'mnsjay_license_token'));

	add_settings_section('mnsjay_general_general_map_sevices', __('Map Services', 'mnsjay'), function () {
		echo '<p>' . __('Map services basic settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_general_general_page');

	add_settings_field('mnsjay_access_keys', __('Access Keys', 'mnsjay'), 'mnsjay_settings_access_keys_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_map_sevices', array('label_for' => ''));
	add_settings_field('mnsjay_services_provider', __('Services Provider', 'mnsjay'), 'mnsjay_settings_services_provider_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_map_sevices', array('label_for' => ''));
	add_settings_field('mnsjay_map_template', __('Map Template', 'mnsjay'), 'mnsjay_settings_map_template_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_map_sevices', array('label_for' => ''));
	add_settings_field('mnsjay_default_location', __('Default Location', 'mnsjay'), 'mnsjay_settings_default_location_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_map_sevices', array('label_for' => ''));

	add_settings_section('mnsjay_general_general_logistic_providers', __('Logistics', 'mnsjay'), function () {
		echo '<p>' . __('Logistic providers basic settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_general_general_page');

	add_settings_field('mnsjay_logistic_providers', __('Logistic Providers', 'mnsjay'), 'mnsjay_settings_logistic_provider_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_logistic_providers', array('label_for' => ''));

	add_settings_section('mnsjay_general_general_checkout', __('Checkout', 'mnsjay'), function () {
		echo '<p>' . __('Checkout map fields related settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_general_general_page');

	add_settings_field('mnsjay_display_map', __('Display Map', 'mnsjay'), 'mnsjay_settings_display_map_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => ''));
	add_settings_field('mnsjay_map_priority', __('Map Priority', 'mnsjay'), 'mnsjay_settings_map_priority_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => 'mnsjay_map_priority'));
	add_settings_field('mnsjay_forced_map', __('Forced Map', 'mnsjay'), 'mnsjay_settings_forced_map_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => ''));
	add_settings_field('mnsjay_map_only_on_physical_products', __('Only on Physical Products', 'mnsjay'), 'mnsjay_settings_map_only_on_physical_products_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => ''));
	add_settings_field('mnsjay_cities_field', __('Cities field', 'mnsjay'), 'mnsjay_settings_cities_field_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => ''));
	add_settings_field('mnsjay_map_only_in_regions', __('Only in Regions', 'mnsjay'), 'mnsjay_settings_map_only_in_regions_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => 'mnsjay_map_only_in_regions'));
	add_settings_field('mnsjay_fill_address', __('Fill Address', 'mnsjay'), 'mnsjay_settings_fill_address_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => ''));
	add_settings_field('mnsjay_update_map_on_fields_change', __('Update Map Location', 'mnsjay'), 'mnsjay_settings_update_map_on_fields_change_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => ''));
	add_settings_field('mnsjay_customize_map', __('Customize Map', 'mnsjay'), 'mnsjay_settings_customize_map_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_checkout', array('label_for' => ''));

	add_settings_section('mnsjay_general_general_others', __('Other Settings', 'mnsjay'), function () {
		echo '<p>' . __('Other settings related Jaayegah', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_general_general_page');

	add_settings_field('mnsjay_order_location_page_id', __('Order Location Page', 'mnsjay'), 'mnsjay_settings_order_location_page_id_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => 'mnsjay_order_location_page_id'));
	add_settings_field('mnsjay_heatmap_active', __('Active Orders Heatmap', 'mnsjay'), 'mnsjay_settings_heatmap_active_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => 'mnsjay_heatmap_active'));
	add_settings_field('mnsjay_heatmap_roles', __('Access to Orders Heatmap', 'mnsjay'), 'mnsjay_settings_heatmap_roles_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => 'mnsjay_heatmap_roles'));
	add_settings_field('mnsjay_heatmap_page_id', __('Orders Heatmap Page', 'mnsjay'), 'mnsjay_settings_heatmap_page_id_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => 'mnsjay_heatmap_page_id'));
	//add_settings_field('mnsjay_display_distance', __('Display Distance', 'mnsjay'), 'mnsjay_settings_display_distance_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => ''));
	add_settings_field('mnsjay_distance_calculation_type', __('Distance Calculation Type', 'mnsjay'), 'mnsjay_settings_distance_calculation_type_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => ''));
	add_settings_field('mnsjay_no_shipping_text', __('No Shipping Text', 'mnsjay'), 'mnsjay_settings_no_shipping_text_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => ''));
	add_settings_field('mnsjay_dokan_seller_shipping', __('Seller Shipping', 'mnsjay'), 'mnsjay_settings_dokan_seller_shipping_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => ''));
	add_settings_field('mnsjay_debug_mode', __('Debug Mode', 'mnsjay'), 'mnsjay_settings_debug_mode_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => ''));
	add_settings_field('mnsjay_dequeue_scripts', __('Dequeue Scripts', 'mnsjay'), 'mnsjay_settings_dequeue_scripts_output', 'mnsjay_settings_general_general_page', 'mnsjay_general_general_others', array('label_for' => 'mnsjay_dequeue_scripts'));

	foreach (mnsjay_map_providers() as $provider_values) {
		foreach ($provider_values['settings_fields'] as $field_values) {
			register_setting('mnsjay_settings_general_general_group', $field_values['key']);
		}
	}

	register_setting('mnsjay_settings_general_general_group', 'mnsjay_debug_mode');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_dequeue_scripts');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_providers');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_logistic_providers');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_default_location');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_order_location_page_id');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_display_lat_lng');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_display_search');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_search_text');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_cover_text');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_gesture_handling');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_display_traffic');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_device_location');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_template');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_holder_type');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_submit_type');
	//register_setting('mnsjay_settings_general_general_group', 'mnsjay_display_distance');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_distance_calculation_type');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_on_billing');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_on_shipping');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_only_on_physical_products');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_only_in_regions');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_cities_field');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_map_priority');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_forced_map');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_fill_address');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_update_map_on_fields_change');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_no_shipping_text');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_dokan_seller_shipping');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_heatmap_active');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_heatmap_roles');
	register_setting('mnsjay_settings_general_general_group', 'mnsjay_heatmap_page_id');

	require_once(MNSJAY_PATH . '/includes/settings/fields/shipping-general.php');

	add_settings_section('mnsjay_settings_shipping_general_section', __('General Shipping Settings', 'mnsjay'), function () {
		echo '<p>' . __('Shipping Methods Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_shipping_general_page');

	add_settings_field('mnsjay_shipping_methods', __('Shipping Methods', 'mnsjay'), 'mnsjay_settings_shipping_methods_output', 'mnsjay_settings_shipping_general_page', 'mnsjay_settings_shipping_general_section', array('label_for' => ''));

	register_setting('mnsjay_settings_shipping_general_group', 'mnsjay_shipping_methods');
	register_setting('mnsjay_settings_shipping_general_group', 'mnsjay_shipping_methods_count');

	require_once(MNSJAY_PATH . '/includes/settings/fields/shipping-origin.php');

	add_settings_section('mnsjay_settings_shipping_origin_section', __('Shipping Origins Settings', 'mnsjay'), function () {
		echo '<p>' . __('Shipping Origins Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_shipping_origin_page');

	add_settings_field('mnsjay_origin_locations', __('Shipping Origins', 'mnsjay'), 'mnsjay_settings_origin_locations_output', 'mnsjay_settings_shipping_origin_page', 'mnsjay_settings_shipping_origin_section', array('label_for' => ''));

	register_setting('mnsjay_settings_shipping_origin_group', 'mnsjay_origin_locations');

	require_once(MNSJAY_PATH . '/includes/settings/fields/shipping-zone.php');

	add_settings_section('mnsjay_settings_shipping_zone_section', __('Shipping Covered Zones Settings', 'mnsjay'), function () {
		echo '<p>' . __('Shipping Covered Zones Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_shipping_zone_page');

	add_settings_field('mnsjay_zone_layers', __('Covered Zones', 'mnsjay'), 'mnsjay_settings_zone_layers_output', 'mnsjay_settings_shipping_zone_page', 'mnsjay_settings_shipping_zone_section', array('label_for' => ''));

	register_setting('mnsjay_settings_shipping_zone_group', 'mnsjay_shipping_zone_check_type');
	register_setting('mnsjay_settings_shipping_zone_group', 'mnsjay_shipping_zones');
	register_setting('mnsjay_settings_shipping_zone_group', 'mnsjay_shipping_zones_count');
	register_setting('mnsjay_settings_shipping_zone_group', 'mnsjay_zone_layers');

	require_once(MNSJAY_PATH . '/includes/settings/fields/shipping-distance.php');

	add_settings_section('mnsjay_settings_shipping_distance_section', __('Shipping Distance Settings', 'mnsjay'), function () {
		echo '<p>' . __('Shipping Distance Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_shipping_distance_page');

	add_settings_field('mnsjay_shipping_distance_classes', __('Distance Classes', 'mnsjay'), 'mnsjay_settings_shipping_distance_classes_output', 'mnsjay_settings_shipping_distance_page', 'mnsjay_settings_shipping_distance_section', array('label_for' => ''));

	register_setting('mnsjay_settings_shipping_distance_group', 'mnsjay_shipping_distance_bases');
	register_setting('mnsjay_settings_shipping_distance_group', 'mnsjay_shipping_distance_ranges');
	register_setting('mnsjay_settings_shipping_distance_group', 'mnsjay_shipping_distance_classes');
	register_setting('mnsjay_settings_shipping_distance_group', 'mnsjay_shipping_distance_classes_counter');

	require_once(MNSJAY_PATH . '/includes/settings/fields/shipping-weight.php');

	add_settings_section('mnsjay_settings_shipping_weight_section', __('Shipping Weight Settings', 'mnsjay'), function () {
		echo '<p>' . __('Shipping Weight Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_shipping_weight_page');

	add_settings_field('mnsjay_shipping_weight_classes', __('Weight Classes', 'mnsjay'), 'mnsjay_settings_shipping_weight_classes_output', 'mnsjay_settings_shipping_weight_page', 'mnsjay_settings_shipping_weight_section', array('label_for' => ''));

	register_setting('mnsjay_settings_shipping_weight_group', 'mnsjay_shipping_weight_bases');
	register_setting('mnsjay_settings_shipping_weight_group', 'mnsjay_shipping_weight_ranges');
	register_setting('mnsjay_settings_shipping_weight_group', 'mnsjay_shipping_weight_classes');
	register_setting('mnsjay_settings_shipping_weight_group', 'mnsjay_shipping_weight_classes_counter');

	require_once(MNSJAY_PATH . '/includes/settings/fields/shipping-distance_weight.php');

	add_settings_section('mnsjay_settings_shipping_distance_weight_section', __('Shipping Distance and Weight Settings', 'mnsjay'), function () {
		echo '<p>' . __('Shipping Distance and Weight Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_shipping_distance_weight_page');

	add_settings_field('mnsjay_shipping_distance_weight_classes', __('Distance and Weight Classes', 'mnsjay'), 'mnsjay_settings_shipping_distance_weight_classes_output', 'mnsjay_settings_shipping_distance_weight_page', 'mnsjay_settings_shipping_distance_weight_section', array('label_for' => ''));

	register_setting('mnsjay_settings_shipping_distance_weight_group', 'mnsjay_shipping_distance_weight_classes');

	require_once(MNSJAY_PATH . '/includes/settings/fields/shipping-condition.php');

	add_settings_section('mnsjay_settings_shipping_condition_section', __('Shipping Condition Settings', 'mnsjay'), function () {
		echo '<p>' . __('Shipping Other Condition Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_shipping_condition_page');

	add_settings_field('mnsjay_shipping_conditions', __('Shipping Conditions', 'mnsjay'), 'mnsjay_settings_conditions_output', 'mnsjay_settings_shipping_condition_page', 'mnsjay_settings_shipping_condition_section', array('label_for' => ''));

	register_setting('mnsjay_settings_shipping_condition_group', 'mnsjay_shipping_cart_classes');
	register_setting('mnsjay_settings_shipping_condition_group', 'mnsjay_shipping_disable_shippings');
	register_setting('mnsjay_settings_shipping_condition_group', 'mnsjay_shipping_product_ids');
	register_setting('mnsjay_settings_shipping_condition_group', 'mnsjay_shipping_exclude_product_ids');
	register_setting('mnsjay_settings_shipping_condition_group', 'mnsjay_shipping_product_categories');
	register_setting('mnsjay_settings_shipping_condition_group', 'mnsjay_shipping_exclude_product_categories');
	register_setting('mnsjay_settings_shipping_condition_group', 'mnsjay_shipping_conditions_classes_counter');

	require_once(MNSJAY_PATH . '/includes/settings/fields/postman-general.php');

	add_settings_section('mnsjay_settings_postman_general_section', __('General Postman Panel Settings', 'mnsjay'), function () {
		echo '<p>' . __('Postman Panel Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_postman_general_page');

	add_settings_field('mnsjay_postman_panel_active', __('Active Postman Panel', 'mnsjay'), 'mnsjay_settings_postman_panel_active_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_postman_panel_active'));
	add_settings_field('mnsjay_postman_panel_page_id', __('Postman Panel Page', 'mnsjay'), 'mnsjay_settings_postman_panel_page_id_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_postman_panel_page_id'));
	add_settings_field('mnsjay_order_ready_status', __('Order Ready Status', 'mnsjay'), 'mnsjay_settings_order_ready_status_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_order_ready_status'));
	add_settings_field('mnsjay_order_delivery_status', __('Order Delivery Status', 'mnsjay'), 'mnsjay_settings_order_delivery_status_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_order_delivery_status'));
	add_settings_field('mnsjay_order_return_status', __('Order Return Status', 'mnsjay'), 'mnsjay_settings_order_return_status_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_order_return_status'));
	add_settings_field('mnsjay_send_sms_to_postman', __('Send SMS to Postman', 'mnsjay'), 'mnsjay_settings_send_sms_to_postman_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_send_sms_to_postman'));
	add_settings_field('mnsjay_send_sms_to_customer', __('Send SMS to Customer', 'mnsjay'), 'mnsjay_settings_send_sms_to_customer_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_send_sms_to_customer'));
	add_settings_field('mnsjay_delivery_code_active', __('Active Delivery Code', 'mnsjay'), 'mnsjay_settings_delivery_code_active_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_delivery_code_active'));
	add_settings_field('mnsjay_tsp_active', __('Active Fast Delivery', 'mnsjay'), 'mnsjay_settings_tsp_active_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_tsp_active'));
	add_settings_field('mnsjay_supervisor_map_active', __('Active Supervisor Map', 'mnsjay'), 'mnsjay_settings_supervisor_map_active_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_supervisor_map_active'));
	add_settings_field('mnsjay_supervisor_map_roles', __('Access to Supervisor Map', 'mnsjay'), 'mnsjay_settings_supervisor_map_roles_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_supervisor_map_roles'));
	add_settings_field('mnsjay_supervisor_map_page_id', __('Supervisor Map Page', 'mnsjay'), 'mnsjay_settings_supervisor_map_page_id_output', 'mnsjay_settings_postman_general_page', 'mnsjay_settings_postman_general_section', array('label_for' => 'mnsjay_supervisor_map_page_id'));

	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_postman_panel_active');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_postman_panel_page_id');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_order_ready_status');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_order_delivery_status');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_order_return_status');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_send_sms_to_postman');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_send_sms_to_customer');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_delivery_code_active');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_tsp_active');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_supervisor_map_active');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_supervisor_map_roles');
	register_setting('mnsjay_settings_postman_general_group', 'mnsjay_supervisor_map_page_id');

	require_once(MNSJAY_PATH . '/includes/settings/fields/postman-customize.php');

	add_settings_section('mnsjay_settings_postman_customize_section', __('Postman Panel Customization Settings', 'mnsjay'), function () {
		echo '<p>' . __('Customize Postman Panel Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_postman_customize_page');

	add_settings_field('mnsjay_postman_panel_logo_id', __('Postman Panel Logo', 'mnsjay'), 'mnsjay_settings_postman_panel_logo_output', 'mnsjay_settings_postman_customize_page', 'mnsjay_settings_postman_customize_section', array('label_for' => ''));
	add_settings_field('mnsjay_postman_panel_title', __('Postman Panel Title', 'mnsjay'), 'mnsjay_settings_postman_panel_title_output', 'mnsjay_settings_postman_customize_page', 'mnsjay_settings_postman_customize_section', array('label_for' => 'mnsjay_postman_panel_title'));
	add_settings_field('mnsjay_postman_panel_description', __('Postman Panel Description', 'mnsjay'), 'mnsjay_settings_postman_panel_description_output', 'mnsjay_settings_postman_customize_page', 'mnsjay_settings_postman_customize_section', array('label_for' => 'mnsjay_postman_panel_description'));
	add_settings_field('mnsjay_postman_panel_accent_color', __('Postman Panel Accent Color', 'mnsjay'), 'mnsjay_settings_postman_panel_accent_color_output', 'mnsjay_settings_postman_customize_page', 'mnsjay_settings_postman_customize_section', array('label_for' => 'mnsjay_postman_panel_accent_color'));
	add_settings_field('mnsjay_postman_panel_background_color', __('Postman Panel Background Color', 'mnsjay'), 'mnsjay_settings_postman_panel_background_color_output', 'mnsjay_settings_postman_customize_page', 'mnsjay_settings_postman_customize_section', array('label_for' => 'mnsjay_postman_panel_background_color'));
	add_settings_field('mnsjay_postman_panel_font_size', __('Postman Panel Font Size', 'mnsjay'), 'mnsjay_settings_postman_panel_font_size_output', 'mnsjay_settings_postman_customize_page', 'mnsjay_settings_postman_customize_section', array('label_for' => 'mnsjay_postman_panel_font_size'));
	add_settings_field('mnsjay_postman_panel_dashboard_content', __('Dashboard Content', 'mnsjay'), 'mnsjay_settings_postman_panel_dashboard_content_output', 'mnsjay_settings_postman_customize_page', 'mnsjay_settings_postman_customize_section', array('label_for' => 'mnsjay_postman_panel_dashboard_content'));

	register_setting('mnsjay_settings_postman_customize_group', 'mnsjay_postman_panel_logo_id');
	register_setting('mnsjay_settings_postman_customize_group', 'mnsjay_postman_panel_title');
	register_setting('mnsjay_settings_postman_customize_group', 'mnsjay_postman_panel_description');
	register_setting('mnsjay_settings_postman_customize_group', 'mnsjay_postman_panel_accent_color');
	register_setting('mnsjay_settings_postman_customize_group', 'mnsjay_postman_panel_background_color');
	register_setting('mnsjay_settings_postman_customize_group', 'mnsjay_postman_panel_font_size');
	register_setting('mnsjay_settings_postman_customize_group', 'mnsjay_postman_panel_dashboard_content');

	require_once(MNSJAY_PATH . '/includes/settings/fields/postman-webservice.php');

	add_settings_section('mnsjay_settings_postman_webservice_section', __('SMS Webservice Settings', 'mnsjay'), function () {
		echo '<p>' . __('SMS Webservices Panel Relative Settings', 'mnsjay') . '</p>';
	}, 'mnsjay_settings_postman_webservice_page');

	add_settings_field('mnsjay_sms_webservice', __('SMS Webservice', 'mnsjay'), 'mnsjay_settings_sms_webservice_output', 'mnsjay_settings_postman_webservice_page', 'mnsjay_settings_postman_webservice_section', array('label_for' => ''));

	register_setting('mnsjay_settings_postman_webservice_group', 'mnsjay_sms_webservice');
	register_setting('mnsjay_settings_postman_webservice_group', 'mnsjay_sms_username');
	register_setting('mnsjay_settings_postman_webservice_group', 'mnsjay_sms_password');
	register_setting('mnsjay_settings_postman_webservice_group', 'mnsjay_sms_apikey');
	register_setting('mnsjay_settings_postman_webservice_group', 'mnsjay_sms_secretkey');
	register_setting('mnsjay_settings_postman_webservice_group', 'mnsjay_sms_from');
	register_setting('mnsjay_settings_postman_webservice_group', 'mnsjay_sms_patterns');

	require_once(MNSJAY_PATH . '/includes/settings/pages/postmans.php');

	add_settings_section('mnsjay_postmans', '', '', 'mnsjay_postmans');

	add_settings_field('mnsjay_postmans', __('Postmans', 'mnsjay'), 'mnsjay_postmans_field_output', 'mnsjay_postmans', 'mnsjay_postmans');

	register_setting('mnsjay_postmans', 'mnsjay_postmans');
	register_setting('mnsjay_postmans', 'mnsjay_postmans_counter');
}

add_action('admin_init', 'mnsjay_settings_register');
