<?php

if (mnsjay_get_option_heatmap_active() != 'yes') {
	wp_redirect(home_url());
	exit();
}

if (!mnsjay_is_current_user_in_roles(mnsjay_get_option_heatmap_roles())) {
	wp_redirect(home_url());
	exit();
}

$interval = (isset($_COOKIE['mnsjayHeatmapInterval']) and is_numeric($_COOKIE['mnsjayHeatmapInterval'])) ? intval($_COOKIE['mnsjayHeatmapInterval']) : 7;

add_filter('show_admin_bar', '__return_false');

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="mnsjay-heatmap-html" style="width: 100%; height: 100%;">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="robots" content="noindex" />
	<meta name="distribution" content="Global" />
	<?php wp_head(); ?>
</head>

<body class="mnsjay-heatmap-page" style="width: 100%; height: 100%;">
	<?php mnsjay_template_map([
		'id' => 'heatmap',
		'holder_type' => 'fullscreen',
		'central_marker' => false,
		'display_search' => false,
		'fullscreen' => true
	]); ?>
	<div class="mnsjay-orders-range">
		<div>
			<div class="mnsjay-form">
				<input type="text" class="mnsjay-orders-range-input" value="<?php echo $interval; ?>">
				<span><?php _e('days ago', 'mnsjay'); ?></span>
			</div>
			<div class="mnsjay-counter"></div>
		</div>
		<div class="mnsjay-ranges">
			<div class="mnsjay-range">
				<input class="mnsjay-heatmap-opacity-range" type="range" min="0.00" max="1.00" step="0.01" value="0.50">
			</div>
			<div class="mnsjay-range">
				<input class="mnsjay-heatmap-radius-range" type="range" min="0" max="99" step="1" value="25">
			</div>
			<div class="mnsjay-range">
				<input class="mnsjay-heatmap-blur-range" type="range" min="0" max="99" step="1" value="15">
			</div>
		</div>
	</div>
</body>

<?php wp_footer(); ?>

</html>